import type { LanguageInput, ThemedToken, ThemeRegistrationAny } from '@shikijs/types'

export interface TokenType {
  content: string
  color?: string
  fontStyle?: string
}

export interface SyntaxHighlighterProps {
  text: string
  language: LanguageInput
  languageId: string
  theme: ThemeRegistrationAny
  fontSize?: number
}

export interface TokensResult {
  tokens: ThemedToken[][]
}
